//+------------------------------------------------------------------+
//|                                                      2Orders.mq4 |
//|                                                      |
//|                                                                  |
//|  01.05.2010   2  .          |
//+------------------------------------------------------------------+
#property copyright " "
#property show_inputs

//-------    ----------------------------------
extern string Trade = " ";
extern double Lots          = 0.1;     //   
extern int    StopLoss      = 0;      //   
extern int    TakeProfit    = 0;       //   
extern int    Slippage      = 3;       //  

//-------    ------------------------------
string Name_Expert   = "2Orders";
bool   UseSound      = True;         //   
string NameFileSound = "expert.wav"; //   
color  clOpenBuy     = Gold;         //   BuyStop
color  clOpenSell    = DodgerBlue;   //   SellStop

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
void start() {
  double ldStop=0, ldTake=0;

  if (StopLoss!=0) ldStop=Ask-StopLoss*Point;
  if (TakeProfit!=0) ldTake=Ask+TakeProfit*Point;
  SetOrder(OP_BUY, Ask, ldStop, ldTake);

  if (StopLoss!=0) ldStop=Bid+StopLoss*Point;
  if (TakeProfit!=0) ldTake=Bid-TakeProfit*Point;
  SetOrder(OP_SELL, Bid, ldStop, ldTake);
}

//+------------------------------------------------------------------+
//|                                                   |
//| :                                                       |
//|   op     -                                               |
//|   pp     -                                                   |
//|   ldStop -                                            |
//|   ldTake -                                            |
//+------------------------------------------------------------------+
void SetOrder(int op, double pp, double ldStop, double ldTake) 
{
  color  clOpen;
  string lsComm=GetCommentForOrder();

  if (op==OP_BUY) clOpen=clOpenBuy;
  else clOpen=clOpenSell;
  OrderSend(Symbol(),op,Lots,pp,Slippage,ldStop,ldTake,lsComm,0,0,clOpen);
  if (UseSound) PlaySound(NameFileSound);
}

//+------------------------------------------------------------------+
//|          |
//+------------------------------------------------------------------+
string GetCommentForOrder() 
{
  return(Name_Expert+" "+GetNameTF(Period()));
}

//+------------------------------------------------------------------+
//|                                  |
//+------------------------------------------------------------------+
string GetNameTF(int TimeFrame) {
	switch (TimeFrame) {
		case PERIOD_MN1: return("Monthly");
		case PERIOD_W1:  return("Weekly");
		case PERIOD_D1:  return("Daily");
		case PERIOD_H4:  return("H4");
		case PERIOD_H1:  return("H1");
		case PERIOD_M30: return("M30");
		case PERIOD_M15: return("M15");
		case PERIOD_M5:  return("M5");
		case PERIOD_M1:  return("M1");
		default:		     return("UnknownPeriod");
	}
}
//+------------------------------------------------------------------+